---
sidebar_position: 3
description: Create user and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create user
 Create new user by fields structure



`Function CreateUser(Val URL, Val FieldsStructure, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | FieldsStructure | --fields | Structure Of KeyAndValue | &#x2714; | New user data. See. GetUserFieldsStructure |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [user.add](https://dev.1c-bitrix.ru/rest_help/users/user_add.php)

If you want to add an extranet user, you must pass in the fields: EXTRANET: Y and SONET_GROUP_ID: [...]

If you want to add an intranet user, you must pass UF_DEPARTMENT field: [...]
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL   = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    Email = String(New UUID) + "@exepmple.org";

    // The full structure can be obtained with the function GetUserFieldsStructure

    UserStructure = New Structure;
    UserStructure.Insert("EMAIL"        , Email);
    UserStructure.Insert("UF_DEPARTMENT", 7);

    Result = OPI_Bitrix24.CreateUser(URL, UserStructure);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";
    Email = String(New UUID) + "@exepmple.org";

    UserStructure = New Structure;
    UserStructure.Insert("EMAIL"          , Email);
    UserStructure.Insert("NAME"           , "Vitaly");
    UserStructure.Insert("LAST_NAME"      , "Alpaca");
    UserStructure.Insert("PERSONAL_MOBILE", "88003553535");
    UserStructure.Insert("UF_DEPARTMENT"  , 1);

    Result = OPI_Bitrix24.CreateUser(URL, UserStructure, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint bitrix24 CreateUser \
             --url "b24-ar17wx.bitrix24.by" \
             --fields "{'EMAIL':'324689a6-7a52-4eb2-80bb-20a8552cdff7@exepmple.org','NAME':'Vitaly','LAST_NAME':'Alpaca','PERSONAL_MOBILE':'88003553535','UF_DEPARTMENT':'1'}" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint bitrix24 CreateUser ^
             --url "b24-ar17wx.bitrix24.by" ^
             --fields "{'EMAIL':'324689a6-7a52-4eb2-80bb-20a8552cdff7@exepmple.org','NAME':'Vitaly','LAST_NAME':'Alpaca','PERSONAL_MOBILE':'88003553535','UF_DEPARTMENT':'1'}" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": 3088,
 "time": {
  "start": 1765396883,
  "finish": 1765396884.78705,
  "duration": 1.78704595565796,
  "processing": 1,
  "date_start": "2025-12-10T20:01:23+00:00",
  "date_finish": "2025-12-10T20:01:24+00:00",
  "operating_reset_at": 1765397483,
  "operating": 0.862886190414429
 }
}
```
